Bug 132788 - assigning a custom theme will redraw it only, if it is the first try
Summary: assigning a custom theme will redraw it only, if it is the first try
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: LibreOffice-Themes
  Show dependency treegraph
 
Reported: 2020-05-06 18:59 UTC by gorgonz
Modified: 2020-05-19 19:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gorgonz 2020-05-06 18:59:44 UTC
- Open extras => options => personalisation 
- Select a custom theme and press "Assign"
- As expected the theme will be applied
- Now select another custom theme and press "Assign"
- The theme will not change anymore

Still it is noted. If you restart writer then the 2. theme will be drawn

Notes: Its OpenSUSE 15.1 (KDE) witch actual updates

Don't know, if it is worth to make another bug report about some additional redraw problem:
- Size your writer less then full screen and do the upper actions
- Now size it to a wider window
- The new area in the them will not be redrawn
Comment 1 gorgonz 2020-05-06 19:04:23 UTC
Note: my other report 132756 might have the same cause
Comment 2 gorgonz 2020-05-06 19:05:03 UTC
Note: my other report 132788 might have the same cause
Comment 3 Xisco Faulí 2020-05-11 10:52:12 UTC
Reproduced in

Version: 7.0.0.0.alpha1+
Build ID: 86bc13248c1d9f63b10aac304bdf0361d1dcc47f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 4 Xisco Faulí 2020-05-11 11:01:21 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f4e0cc1ff145287f80738f070a8c46a64b2f76d1

author	Miklos Vajna <vmiklos@collabora.com>	2019-06-13 15:53:06 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2019-06-13 21:49:35 +0200
commit	f4e0cc1ff145287f80738f070a8c46a64b2f76d1 (patch)
tree	841ee3fc024fb04dd42b0066af893d2491660e0b
parent	54afdbd1b442d93313a01e58dba8fe3b84f596d1 (diff)
tdf#92079 vcl: fix missing image background on dialog from basic

Bisected with: bibisect-linux64-6.4

Adding Cc: to Miklos Vajna
Comment 5 Commit Notification 2020-05-14 11:15:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/52389ed19da6bcfdedef909532913ff3e2ab4afc

tdf#132788 vcl: fix redraw on theme change

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-05-15 14:20:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d6304a7db28f92bbe5cd98648aa133d64c05b5ff

tdf#132788 vcl: fix redraw on theme change

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-05-19 19:31:45 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: 8209c2569f5726f9ed29f75d30efdccb94f98fe5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!